// main: ../main.scss

// sloped angles
@mixin angle-edge($color: $inverted-background, $skew: 3deg) {
  position: relative;
  background: $color;
  padding: 2em 0;

  @if $skew > 0deg {
    margin-bottom: 6em;
  }
  @else {
    margin-top: 6em;
  }

  &:before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    background: inherit;
    z-index: -1;
    top: 0;
    bottom: 0;
    transform: skewY(#{$skew});

    @if $skew > 0deg {
      transform-origin: left bottom;
    }
    @else {
      transform-origin: left top;
    }
  }
}


